// BPM Retrieve
// Downloads BPM information from music.ballweb.org.
// Copyright (c) 2008, Carson F. Ball
// 2008-08-08 - 2008-08-08

#include <stdio.h>

#include "misc.h"
#include "sock.h"

#define VERSION "1.0"

int main (void) {
	char user      [ 80];
	char pass      [ 80];
	char song      [ 80];
	char album     [ 80];
	char bpm       [  8];
	char query_str [512];

	printf ("Username:   ");
	scanf  ("%s", &user);

	printf ("Password:   ");
	scanf  ("%s", &pass);

	printf ("Song name:  ");
	scanf  ("%s", &song);

	printf ("Album name: ");
	scanf  ("%s", &album);

	printf ("BPM:        ");
	scanf  ("%s", &bpm);

	sprintf (query_str, "GET http://music.ballweb.org/submit.pl?user=%s&pass=%s&song=%s&album=%s&bpm=%s\n\n", user, pass, song, album, bpm);

	CONNECT* Connection = new CONNECT ("music.ballweb.org", 80);

	if (!Connection->Status) {
		Connection->Send (query_str);
		Connection->Recv ();

		const char* status  = Connection->GetBuffer ();
		const char* message = &status [5];
		      int   retval;

		sscanf (status, "%u", &retval);

		if (retval == 200) {
			printf ("%s\n", message);
		}
		else {
			printf ("ERROR: %s\n", message);
		}
	}
	else {
		printf ("ERROR: Could not connect to the server\n"); 
	}

	delete Connection;

	return (0);
}
